Attribute VB_Name = "modUtils"
Option Explicit
Public Const EXC_SHOW_SETTINGS = ERRMAP_EXC_FIRST + 5


Public Sub HandleError(Optional ByVal ShowModal As Boolean)
    If InException Then
        Select Case ErrNumber
            Case EXC_CANCELLED:      'Don't do anything
            Case Else:               Say Err.Description
        End Select
    Else
        If ShowModal Then frmShowError.Show vbModal
        frmShowError.ErrorReport = ErrReport
    End If 'InException ....
End Sub

Public Sub Say(ByVal Prompt As String)
    MsgBox Prompt, vbOKOnly, "HuntERR Add-In"
End Sub

Public Function AskYesNo(ByVal Prompt As String) As Boolean
    AskYesNo = (MsgBox(Prompt, vbYesNo, "Confirm") = vbYes)
End Function

Public Function SaveText(ByVal FileName As String, ByVal Text As String) As Boolean
  Dim F As Long
  On Error GoTo errHandler
  F = FreeFile
  Open FileName For Output As #F
  Print #F, Text
  Close #F
  SaveText = True
  Exit Function
errHandler:
  ErrorIn "modUtils.SaveText(FileName,Text)", Array(FileName, Left(Text, 20) & "...")
  End Function

Public Function LoadText(ByVal FileName As String) As String
  Dim F As Long, L As String, Res As String
  On Error GoTo errHandler
  F = FreeFile
  Open FileName For Input As #F
  While Not EOF(F)
    Line Input #F, L
    Res = Res & L & vbNewLine
    Wend
  Close #F
  LoadText = Res
  Exit Function
errHandler:
   ErrorIn "modUtils.LoadText", FileName
End Function

